@echo off
if "%OS%" == "Windows_NT" setlocal

rem Will load jdbc drivers

if "%JOBSERVER_HOME%" == "" goto guessIt
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set dumby=""
rem Even though it is set and not correct try to guess
:guessIt
set JOBSERVER_HOME=.
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
rem Try to guess what JOBSERVER_HOME is
set JOBSERVER_HOME=..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
set JOBSERVER_HOME=..\..
if exist "%JOBSERVER_HOME%\conf\system-config.bat" goto okHome
echo  The JOBSERVER_HOME environment variable is not set. This
echo  variable needs to be set to run this program. Program
echo  exiting.
goto  end

:okHome

set JDBC_JAR=%1

if NOT "%JDBC_JAR%" == "" goto checkFordir
echo  Enter the name of the MYSQL JDBC driver jar file. Note
echo  that the JAR file must reside in the "drivers" directory.
echo    Enter file name )
set /P JDBC_JAR=

if NOT "%JDBC_JAR%" == "" goto checkFordir
echo.
echo  Error: You must specify a JAR file name
echo.

:checkFordir
rem check if driver dir exists
if EXIST "%JOBSERVER_HOME%\database\drivers" (
    set dumby="" 
) ELSE (
  echo.
  echo  Driver installation failed: No "drivers" directory found
  echo.
  goto end
)
     
rem check if driver file exists
if EXIST "%JOBSERVER_HOME%\database\drivers\%JDBC_JAR%" (
    set dumby="" 
) ELSE (
  echo.
  echo  Driver installation failed: JAR file not found in
  echo  the "drivers" directory.
  echo.
  goto end
)

rem copy jars to web dir
copy /Y "%JOBSERVER_HOME%\database\drivers\%JDBC_JAR%" "%JOBSERVER_HOME%\sys\app\webapps\jobserver\WEB-INF\lib\mysql-jdbc.jar"
copy /Y "%JOBSERVER_HOME%\database\drivers\%JDBC_JAR%" "%JOBSERVER_HOME%\sys\lib\jsthird\mysql-jdbc.jar"

echo.
echo  Driver Installation Completed
echo.

:end
pause
